An HTTP request

param
param
mixes

  Body

### Hierarchy

- BodyMixin
  - Request

### Implements

- Body

## Index

### Constructors

- constructor

### Properties

- credentials
- headers
- method
- mode
- referrer
- remoteAddr
- url

### Accessors

- body
- bodyUsed
- cookies

### Methods

- arrayBuffer
- blob
- clone
- formData
- json
- text

## Constructors

### constructor

- new Request(input: any, init?: any): Request

- Overrides BodyMixin.constructor

  - Defined in request.ts:36

  #### Parameters

  - ##### input: any

  - ##### Optional init: any

  #### Returns Request

## Properties

### credentials

credentials: string

- Defined in request.ts:32

### headers

headers: Headers

- Defined in request.ts:33

### method

method: string

- Defined in request.ts:28

### mode

mode: string

- Defined in request.ts:31

### referrer

referrer: string

- Defined in request.ts:30

### remoteAddr

remoteAddr: string

- Defined in request.ts:34

### url

url: string

- Defined in request.ts:29

## Accessors

### body

- get body(): ReadableStream | null

- Inherited from BodyMixin.body

  - Defined in body_mixin.ts:32

  #### Returns ReadableStream | null

### bodyUsed

- get bodyUsed(): boolean

- Inherited from BodyMixin.bodyUsed

  - Defined in body_mixin.ts:50

  #### Returns boolean

### cookies

- get cookies(): CookieJar

- - Defined in request.ts:118

  #### Returns CookieJar

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- Inherited from BodyMixin.arrayBuffer

  - Defined in body_mixin.ts:96

  #### Returns Promise<ArrayBuffer>

### blob

- blob(): Promise<Blob>

- Inherited from BodyMixin.blob

  - Defined in body_mixin.ts:57

  #### Returns Promise<Blob>

### clone

- clone(): Request

- - Defined in request.ts:125

  #### Returns Request

### formData

- formData(): Promise<FormData>

- Inherited from BodyMixin.formData

  - Defined in body_mixin.ts:61

  #### Returns Promise<FormData>

### json

- json(): Promise<any>

- Inherited from BodyMixin.json

  - Defined in body_mixin.ts:91

  #### Returns Promise<any>

### text

- text(): Promise<string>

- Inherited from BodyMixin.text

  - Defined in body_mixin.ts:82

  #### Returns Promise<string>

Generated using TypeDoc